%define git_commit 17ca1c5e6a8df6b5663e899504d197862c286d1e
%define git_commit_date 20090713

Name:		bios_extract
Version:	0
Release:	0.4.%{git_commit_date}git%{?dist}
Summary:	Tools to extract the different submodules of common legacy bioses

Group:		Applications/System
License:	GPLv2+
URL:		http://cgit.freedesktop.org/~libv/bios_extract
Source0:	http://cgit.freedesktop.org/~libv/bios_extract/snapshot/%{name}-%{git_commit}.tar.bz2
# fix for extraction of Award and Phoenix bios-images on BigEndian platforms (patch sent upstream)
Patch0:		bios_extract--ami_endian.diff
# fix for extraction of AMI bios-images on BigEndian platforms (patch sent upstream)
Patch1:		bios_extract--phoenix_and_lh5_endian.diff
# recognized more bios images (ASUS for example) (patch sent upstream)
Patch2:		bios_extract--recognition_of_more_bios_types.diff
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Tools to extract the different submodules of common legacy bioses.


%prep
%setup -q -n %{name}-%{git_commit}
sed -i s/^CFLAGS.*$// Makefile
%patch0 -p1 -b .big_endian
%patch1 -p1 -b .ami_big_endian
%patch2 -p1 -b .more_images


%build
CFLAGS="%{optflags}" make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -p -m 0755 -D %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -p -m 0755 -D bcpvpd $RPM_BUILD_ROOT%{_bindir}/bcpvpd

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{_bindir}/bcpvpd


%changelog
* Sat Aug  1 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.4.20090713git
- Fixed work on BigEndian platforms
- More bios-types recognized

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20090713git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.2.20090713git
- Small changes, based on Yanko Kaneti's suggestions.

* Wed Jul 22 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.1.20090713git
- Initial package for Fedora

